Bug 34194 - 'make release' removes distfiles too early when making ISO images
Summary: 'make release' removes distfiles too early when making ISO images
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: misc (show other bugs)
Version: Unspecified
Hardware: Any Any
: Normal Affects Only Me
Assignee: matusita
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-01-23 07:30 UTC by Adrian Steinmann
Modified: 2002-02-08 17:05 UTC (History)
0 users

See Also:


Attachments
file.diff (888 bytes, patch)
2002-01-23 07:30 UTC, Adrian Steinmann
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Adrian Steinmann 2002-01-23 07:30:01 UTC
	'make release' removes ports/distfiles before rolling ports.tgz
	for the distribution. Later, 'make release' then needs to fetch
	cdrtools because it wants mkisofs when "-DMAKE_ISOS" is specified.

Fix: Instead of removing ports/distfiles, we exclude distfiles in
	the tar command (analog --exclude CVS, which is already there).

	The following patch has been verified, the resulting ports.tgz
	does not contain ports/distfiles, and cdrtools was not fetched
	during the make release process because it was still present
	in the (chrooted) usr/ports/distfiles.
How-To-Repeat: 	make release -DMAKE_ISOS
Comment 1 Makoto Matsushita 2002-01-24 11:05:08 UTC
ast> 	The following patch has been verified, the resulting ports.tgz
ast> 	does not contain ports/distfiles

It's wrong.  ports.tgz should include empty /usr/ports/distfiles
*directory* as it used to be.

ast> 	cdrtools was not fetched during the make release process
ast> 	because it was still present in the (chrooted)
ast> 	usr/ports/distfiles.

Why this is required?

-- -
Makoto `MAR' Matsushita
Comment 2 matusita freebsd_committer 2002-01-24 11:05:39 UTC
Responsible Changed
From-To: freebsd-bugs->matusita

I want to know what's the actual problem, so take this one.
Comment 3 matusita freebsd_committer 2002-01-26 04:36:17 UTC
State Changed
From-To: open->feedback

Waiting a feedback from the orignal PR submitter that why distfiles 
is requested to be cleared.
Comment 4 Giorgos Keramidas freebsd_committer 2002-01-27 00:25:44 UTC
Adding to audit trail:

Date: Sat, 26 Jan 2002 08:39:01 +0100
From: Adrian Steinmann <ast@marabu.ch>
To: freebsd-gnats-submit@FreeBSD.org, matusita@FreeBSD.org
Subject: pending/34295: Re: Problem Report misc/34194: 'make release'
	removes distfiles too early when making ISO images

Ah, if an empty ports/distfiles needs to be in the ports.tgz, my
patch is indeed incomplete.
 
Note that cdrtools is need and re-fetched for mkisofs when the ISO
images are created - this happens when one passes the -DMAKE_ISOS
flag to 'make release'.
 
Making the ISO images earlier would have the effect that
/usr/ports/distfiles would be non-empty, which is just as bad.
 
Why not add a 'mkdir /usr/ports/distfiles' in ports/install.sh?
 
Adrian
Comment 5 matusita freebsd_committer 2002-02-08 17:03:09 UTC
State Changed
From-To: feedback->closed

This problem is fixed in src/release/Makefile rev 1.655/1.656 (for 5-current) 
and rev 1.536.2.73/1.536.2.74 (for 4-stable).  Thanks.